/*
 *  Implementation of COSS Relationship Service for MICO
 *  Copyright (C) 1998 Karel Gardas with the assistance of Kay Roemer
 *                                                       & Arno Puder
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Send comments and/or bug reports to:
 *                 mico@informatik.uni-frankfurt.de
 *  or to my private e-mail:
 *                 gardask@alpha.inf.upol.cz
 */


#include <CORBA-SMALL.h>
#include <Random.h>
#include <mico/CosObjectIdentity.h>
#include <mico/IdentifiableObject_impl.h>

IdentifiableObject_impl::IdentifiableObject_impl()
//  : CosObjectIdentity::IdentifiableObject_skel ()
{
  Random* r = new Random;
  random_id = r->get ();
}

CosObjectIdentity::ObjectIdentifier 
IdentifiableObject_impl::constant_random_id()
{
  return random_id;
}

CORBA::Boolean 
IdentifiableObject_impl::is_identical(CosObjectIdentity::IdentifiableObject_ptr other_object)
{
  if (other_object->constant_random_id() == random_id)
    return TRUE;
  else
    return FALSE;
}

